Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.cmp.jdbc.keygen
Class JDBCPostgreSQLCreateCommand

    java.lang.Object
      org.jboss.ejb.plugins.cmp.jdbc.JDBCAbstractCreateCommand
          org.jboss.ejb.plugins.cmp.jdbc.JDBCIdentityColumnCreateCommand
              org.jboss.ejb.plugins.cmp.jdbc.keygen.JDBCPostgreSQLCreateCommand

All Implemented Interfaces:
  JDBCCreateCommand

public class JDBCPostgreSQLCreateCommand
extends JDBCIdentityColumnCreateCommand

Create command for PostgreSQL that fetches the currval of the sequence associated with a SERIAL column in this table.

Author:
  Jeremy Boynes

Field Summary

Fields inherited from class org.jboss.ejb.plugins.cmp.jdbc.JDBCIdentityColumnCreateCommand
`pkField, pkSQL`

Fields inherited from class org.jboss.ejb.plugins.cmp.jdbc.JDBCAbstractCreateCommand
`createAllowed, debug, entity, exceptionProcessor, insertAfterEjbPostCreate, insertFields, insertSQL, log, securityManager, trace`

Constructor Summary
`JDBCPostgreSQLCreateCommand()`

Method Summary
`protected int` | `executeInsert(int index, PreparedStatement ps, EntityEnterpriseContext ctx)`
`void` | `init(JDBCStoreManager manager)`
`protected void` | `initEntityCommand(JDBCEntityCommandMetaData entityCommand)`

Methods inherited from class org.jboss.ejb.plugins.cmp.jdbc.JDBCIdentityColumnCreateCommand
`initGeneratedFields, isInsertField, processException`

Methods inherited from class org.jboss.ejb.plugins.cmp.jdbc.JDBCAbstractCreateCommand
`afterInsert, beforeInsert, checkCreateAllowed, execute, generateFields, getGeneratedPKField, getPrimaryKey, initInsertFields, initInsertSQL, performInsert, prepareStatement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCPostgreSQLCreateCommand

    public JDBCPostgreSQLCreateCommand()

Method Detail

### init

    public void init(JDBCStoreManager manager)
              throws org.jboss.deployment.DeploymentException

  Specified by:
    `init` in interface `JDBCCreateCommand`
  Overrides:
    `init` in class `JDBCAbstractCreateCommand`
  Throws:
    `org.jboss.deployment.DeploymentException`

### initEntityCommand

    protected void initEntityCommand(JDBCEntityCommandMetaData entityCommand)
                              throws org.jboss.deployment.DeploymentException

  Overrides:
    `initEntityCommand` in class `JDBCAbstractCreateCommand`
  Throws:
    `org.jboss.deployment.DeploymentException`

### executeInsert

    protected int executeInsert(int index,
                                PreparedStatement ps,
                                EntityEnterpriseContext ctx)
                         throws SQLException

  Overrides:
    `executeInsert` in class `JDBCIdentityColumnCreateCommand`
  Throws:
    `SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.